import 'package:flutter/material.dart';

// Nautral White Color
Color neutral10 = const Color(0xFFFFFFFF);
Color neutral20 = const Color(0xFFF5F5F5);
Color neutral30 = const Color(0xFFEDEDED);
Color neutral40 = const Color(0xFFE0E0E0);
Color neutral50 = const Color(0xFFC2C2C2);
Color neutral60 = const Color(0xFF9E9E9E);
Color neutral70 = const Color(0xFF757575);
Color neutral80 = const Color(0xFF616161);
Color neutral90 = const Color(0xFF404040);
Color neutral100 = const Color(0xFF0A0A0A);

// Primary Color
Color primary = const Color(0xFFF37F26);
Color primarySurface = const Color(0xFFFFF4EB);
Color primaryBorder = const Color(0xFFFBDEC9);
Color primaryHover = const Color(0xFFCC7633);
Color primaryPressed = const Color(0xFF7A4721);
Color primaryFocused = const Color(0xFFFFFFFF);

// Secondary Color
Color secondary = const Color(0xFF002F48);
Color secondarySurface = const Color(0xFFF5FCFF);
Color secondaryBorder = const Color(0xFFABC1CC);
Color secondaryHover = const Color(0xFF0F2D3C);
Color secondaryPressed = const Color(0xFF081B24);
Color secondaryFocus = const Color(0xFF7A4721); // Need HEXA

// Danger Color
Color danger = const Color(0xFFCB3A31);
Color dangerSurface = const Color(0xFFFFF4F2);
Color dangerBorder = const Color(0xFFEEB4B0);
Color dangerHover = const Color(0xFFBD251C);
Color dangerPressed = const Color(0xFF731912);

// Warning Color
Color warning = const Color(0xFFCD7B2E);
Color warningSurface = const Color(0xFFFFF9F2);
Color warningBorder = const Color(0xFFEECEB0);
Color warningHover = const Color(0xFFBF6919);
Color warningPressed = const Color(0xFF734011);

// Success Color
Color success = const Color(0xFF43936C);
Color successSurface = const Color(0xFFF7F7F7);
Color successBorder = const Color(0xFFB8DBCA);
Color successHover = const Color(0xFF367A59);
Color successPressed = const Color(0xFF20573D);

// Info Color
Color info = const Color(0xFF3267E3);
Color infoSurface = const Color(0xFFF0F3FF);
Color infoBorder = const Color(0xFFB1C5F6);
Color infoHover = const Color(0xFF114CD6);
Color infoPressed = const Color(0xFF11317D);

// Bearish Bullish Color
Color bearish = const Color(0xFFFF0000);
Color bullish = const Color(0xFF00FF00);
Color bearishSecondary = const Color(0xFFD8382E);
Color bullishSecondary = const Color(0xFF3BDB63);
